#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("DEMPT.inp");
	ofstream f2("DEMPT.out");
	int i,n,m;
	int a[m];
	int b[n];
	f1>>m;
	for(i=0;i<m;i++)
	{
		f1>>a[m];
	}
	f1>>n;
	for(i=0;i<n;i++)
	{
		f1>>b[n];
	}
	f1.close();
	sort(a,a+m);
	sort(b,b+n);
	int j;
	int dem=0;
	for(i=0;i<m;i++)
	{
		for(j=0;j<n;j++)
		{
			if(a[m]==b[n])
			{
				dem++;
				break;
			}
			if(a[m]<b[n]) break;
		}
	}
	f2<<dem<<endl;
	f2.close();
	return 0;
}
